# Basic Company Information

### Basic Fields

| Field                  | Type                                                                                                    | Description                                              |
| ---------------------- | ------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| companyType            | [CompanyTypeEnum](/company-data-api/graphql-enums/company-type-enum.md)                                 | Public, private, investor, subsidiary                    |
| countryOfRegistration  | String                                                                                                  | Country code, e.g. "US"                                  |
| displayName            | String                                                                                                  | Name of the company                                      |
| duns                   | String                                                                                                  | DUNS                                                     |
| figi                   | String                                                                                                  | FIGI                                                     |
| foundedYear            | String                                                                                                  | Year the company was founded                             |
| id                     | ID                                                                                                      | Craft ID                                                 |
| jobsCount              | Int                                                                                                     | Count of job postings                                    |
| locationsCount         | Int                                                                                                     | Count of corporate office locations                      |
| logo                   | [Image](/company-data-api/graphql-objects/image-object.md)                                              | Logo of the company                                      |
| longDescription        | String                                                                                                  | Full description of the company                          |
| parentCompany          | [Company](/company-data-api/data-points.md)                                                             | Parent company (if subsidiary)                           |
| shortDescription       | String                                                                                                  | 1 sentence description                                   |
| status                 | [CompanyStatusEnum](/company-data-api/graphql-enums/company-status-enum.md)                             | `"active"` or `"closed"`                                 |
| stockTicker            | String                                                                                                  | Ticker for the company (if public)                       |
| stockMarket            | [StockMarket](/company-data-api/data-points/basic-company-information/stock-market.md)                  | Stock Market (Exchange name) for the company (if public) |
| taxId                  | String                                                                                                  | Company Tax ID                                           |
| tags                   | \[[Tag](/company-data-api/data-points/basic-company-information/tag.md)]                                | List of company tags                                     |
| patents                | \[[Patent](/company-data-api/data-points/basic-company-information/patent.md)!]                         |                                                          |
| productAndServiceCodes | \[[UnspscCode](/company-data-api/data-points/basic-company-information/unspsc-code.md)!]                |                                                          |
| govSpending            | \[[GovSpending](/company-data-api/data-points/basic-company-information/gov-spending.md)!]              |                                                          |
| securityRatings        | \[[SecurityRating](/company-data-api/data-points/basic-company-information/security-rating.md)!]        |                                                          |
| usgProhibitedLists     | \[[USGProhibitedList](/company-data-api/data-points/basic-company-information/usg-prohibited-list.md)!] |                                                          |

### Web links

| Field      | Type   | Description                          |
| ---------- | ------ | ------------------------------------ |
| blog       | String | Company blog URL                     |
| craftUrl   | String | Company page URL on craft.co website |
| crunchbase | String | Crunchbase URL                       |
| facebook   | String | Facebook URL                         |
| homepage   | String | Company website URL                  |
| instagram  | String | Company Instagram URL                |
| linkedin   | String | Linkedin URL                         |
| pinterest  | String | Pinterest URL                        |
| twitter    | String | Twitter URL                          |
| wikipedia  | String | Wikipedia URL                        |
| youtube    | String | Youtube URL                          |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        # Basic fields
        companyType
        countryOfRegistration
        displayName
        duns
        figi
        foundedYear
        id
        jobsCount
        locationsCount
        logo {
            url
        }
        longDescription
        parentCompany {
            displayName
        }
        shortDescription
        status
        stockTicker
        stockMarket {
            mic
            name
        }
        taxId
        tags {
            name
        }
        usgProhibitedLists {
          listName
          code
        }        
        # Web links
        blog
        craftUrl
        crunchbase
        facebook
        homepage
        instagram
        linkedin
        pinterest
        twitter
        youtube
    }
}

# variables
{ "domain": "stripe.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/basic-company-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
